package org.dromara.payment.common.service;

import org.dromara.payment.common.domain.TranLog;
import org.dromara.payment.common.domain.vo.TranLogVo;
import org.dromara.payment.common.domain.bo.TranLogBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 交易记录Service接口
 *
 * @author LionLi
 * @date 2024-04-11
 */
public interface ITranLogService {

    /**
     * 查询交易记录
     */
    TranLogVo queryById(Long id);

    /**
     * 查询交易记录列表
     */
    TableDataInfo<TranLogVo> queryPageList(TranLogBo bo, PageQuery pageQuery);

    /**
     * 查询交易记录列表
     */
    List<TranLogVo> queryList(TranLogBo bo);

    /**
     * 新增交易记录
     */
    Boolean insertByBo(TranLogBo bo);

    /**
     * 修改交易记录
     */
    Boolean updateByBo(TranLogBo bo);

    /**
     * 校验并批量删除交易记录信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 处理交易
     * @param accid 交易记录
     * @param syn 是否只同步结果
     * @return
     */
    boolean transaction(TranLogVo accid,boolean syn);

    /**
     * 解锁交易账户
     * @param accid 交易记录
     * @return
     */
    boolean unlockTransaction(TranLogVo accid);

    /**
     * 同步交易回置单
     * @param accid 交易记录
     * @return
     */
    boolean synTransferCallBack(TranLogVo accid);
}
